(*
 * Utilities for working on syntax.
 *
 * ----------------------------------------------------------------
 *
 * Copyright (C) 1999 Jason Hickey, Caltech
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Author: Jason Hickey
 * jyh@cs.caltech.edu
 *)

open Symbol
open Fc_ast_type

(*
 * Normal tabstop.
 *)
val tabstop : int

(*
 * Combine two positions.
 *)
val union_pos : pos -> pos -> pos

(*
 * Position functions.
 *)
val pos_of_expr : expr -> pos
val pos_of_type : ty -> pos

(*
 * Print a program.
 *)
val print_type : ty -> unit
val print_expr : expr -> unit
val print_prog : prog -> unit

(*
 * -*-
 * Local Variables:
 * Caml-master: "set"
 * End:
 * -*-
 *)
